﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace TestControl
{
  public partial class UserControl1 : UserControl
  {
    public UserControl1()
    {
      InitializeComponent();
    }

    protected override void OnPaint(PaintEventArgs e)
    {
      Draw(e.Graphics);
    }

    private SolidBrush _brush;

    public SolidBrush Brush 
    {
      get
      {
        if(_brush == null) _brush = new SolidBrush(Color.Red);
        return _brush;
      }
    }

    private void Draw(Graphics g)
    {
      Rectangle rect = ClientRectangle;
      Brush.Color = Color.Red;
      g.FillRectangle(Brush, rect);
    }
  }
}
